package com.ss.android.ugc.aweme.choosemusic.cutmusic;

import X.0Bt;
import X.1Bn;
import X.7he;
import X.C1150TmY;
import X.C1151TmZ;
import X.C1152Tma;
import X.C1153Tmb;
import X.C1154Tmc;
import X.Crj;
import X.OSX;
import X.OT4;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.shortvideo.model.MusicModel;

public final class ChooseMusicCutViewModel extends 0Bt {
    public final Crj LIZ = 7he.LIZ(C1153Tmb.LIZ);
    public final Crj LIZIZ = 7he.LIZ(C1151TmZ.LIZ);
    public final Crj LIZJ = 7he.LIZ(C1154Tmc.LIZ);
    public final Crj LIZLLL = 7he.LIZ(C1150TmY.LIZ);
    public final Crj LJ = 7he.LIZ(C1152Tma.LIZ);

    static {
        Covode.recordClassIndex(56046);
    }

    public final 1Bn<MusicModel> LIZ() {
        return (1Bn) this.LIZ.getValue();
    }

    public final 1Bn<OT4> LIZIZ() {
        return (1Bn) this.LIZJ.getValue();
    }

    public final 1Bn<OSX> LIZJ() {
        return (1Bn) this.LJ.getValue();
    }
}
